# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_Plane Class Reference

The basis to define a plane attribute.
This attribute is used as a projection plane by the
sketch attribute TDataStd_Sketch.
Warning: Use TDataStd_Geometry attribute to retrieve the
gp_Pln of the Plane attribute
.

`#include <TDataStd_Plane.hxx>`

Inheritance diagram for TDataStd_Plane:

[legend]

## Public Member Functions

Standard_EXPORT | TDataStd_Plane ()
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const

This method is different from the "Copy" one,
because it is used when copying an attribute from
a source structure into a target structure. This
method may paste the contents of <me> into
<intoattribute>.
The given pasted attribute can be full or empty of
its contents. But don't make a NEW! Just set the
contents!
It is possible to use <arelocationtable> to
get/set the relocation value of a source
attribute.
.

virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
| class methods ============= Returns the GUID for plane attributes.
static Standard_EXPORT Handle_TDataStd_Plane | Set (const TDF_Label &label)
| Finds or creates the plane attribute defined by the label label. Warning If you are creating the attribute with this syntax, a planar face should already be associated with label. .
static Standard_EXPORT Handle_TDataStd_Plane | Set (const TDF_Label &label, const gp_Pln &P)
| Finds, or creates, a Plane attribute and sets as generated the associated NamedShape. //! Plane methods ============= .

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_Plane::TDataStd_Plane | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_OStream& TDataStd_Plane::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

static Standard_EXPORT const Standard_GUID& TDataStd_Plane::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDataStd_Plane::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDataStd_Plane::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT Handle_TDF_Attribute TDataStd_Plane::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Plane::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Plane::Restore | ( | const Handle(TDF_Attribute)& | With | ) | `[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Handle_TDataStd_Plane TDataStd_Plane::Set | ( | const TDF_Label & | label,
|  | const gp_Pln & | P
| ) | `[static]`

static Standard_EXPORT Handle_TDataStd_Plane TDataStd_Plane::Set | ( | const TDF_Label & | label | ) | `[static]`

The documentation for this class was generated from the following file:

- TDataStd_Plane.hxx